# Packages

install.packages("xlsx",repos = "http://cran.us.r-project.org")
install.packages("rJava",repos = "http://cran.us.r-project.org")
library("xlsx")
install.packages("XLConnect",repos = "http://cran.us.r-project.org")
require(XLConnect)   

# Load names
names <-  read.csv("code/model_files/variable_names.csv", header = TRUE, fill = TRUE)
results_dir <- "/proj/organs/common_output/structural/output/results/"
setwd(results_dir)
model_logs = c('nyrt_fix','nyrt_fix_uh','nyrt_fix_time_uh')

files = c('Estimates')

# Open workbook
models = model_logs

for (obj in files){
c_V =data.frame(X='',index=0)
for (modl in models){
    # Load data
    v <-read.csv(paste(results_dir,modl,"/",obj,".csv",sep =""), header = TRUE,fill = TRUE)
    v <-v[,1:5]
    v$index <- 1:nrow(v)
    c_V$old_index <-c_V$index
    c_V = subset(c_V, select = -index )
    c_V = merge(x=c_V,y=v,by="X",all=TRUE)
                 
    }

V <- loadWorkbook(paste("/proj/organs/common_output/structural/output/results/",obj,".xls",sep =""), create = TRUE)
setStyleAction(V,XLC$"STYLE_ACTION.NONE")
c_V <- merge(x=names,y=c_V,by="X",all.y=TRUE,all.x=FALSE)
c_V <- c_V[order(c_V$index,c_V$old_index),] 
c_V = subset(c_V, select = -c(index,old_index,X))
createSheet(V , obj )
writeWorksheet(V, c_V, sheet = obj,                 # write Compl_Total to sheet 'All LOBs' in workbook 'Estimates' 
               startRow = 3, startCol = 1,          # specify the cell to write to
               header = FALSE)
setForceFormulaRecalculation(V, sheet = obj, TRUE)
saveWorkbook(V)
}
