% This is the zero mismatch model
model = struct();
priors = struct();

% Load model that we will simplify 
model_file_nyrt_fix_time_uh

% Filepath
model.model_name = 'nyrt_fix_uh';
model.gen_script = mfilename('fullpath'); % name of script that generated model file (i.e. name of this script)
model.gen_date = datetime('today'); % date model file was generated

% Model structure
model.donor_uh = true;

model.fixed.pwlin = {{'init_age',[18,35,50,65]},...
		     {'end_bmi_calc',[18.5 25 30]},{'tot_serum_album',[3.7 4.4]},...
		     {'log_dialysis_time_at_init',log(5)}};

model.fixed.interactions ={...
                           {'zero_mm','prior_transplant'},...
                           {'zero_mm','pt_diabetes'},...
                           {'zero_mm','init_age'},...
                           {'zero_mm','cpra'},...
                           {'zero_mm','cpra_gt80'},...
                           {'zero_mm','ecd_donor'},...
                           {'zero_mm','dcd'},...
                           {'zero_mm','nyrt_donor'},...
                           {'zero_mm','abo_compatible'},...
                           {'nyrt_donor','amis_2'},...
                           {'nyrt_donor','bmis_2'},...
                           {'nyrt_donor','drmis_2'},...
                           {'nyrt_donor','don_age_lt_18'},...
                           {'nyrt_donor','don_age_18_35'},...
                           {'nyrt_donor','don_age_ge_50'},...
                           {'init_age','don_age_lt_18'},...
                           {'init_age','don_age_18_35'},...
                           {'init_age','don_age_ge_50'},...
                           {'init_age_gt_35','don_age_18_35'},...
                           {'init_age_gt_35','don_age_ge_50'}};


% store model in /structural_model/input/ (../input/)
save([models_folder model.model_name],'model','priors');
